

# Import Modules based on Abaqus Scripting User's Manual Example 1
## This statement makes the basic Abaqus objects accessible to the script. It also provides access to a default model database using 
## the variable named mdb. The statement, from abaqusConstants import *, makes the Symbolic Constants defined by the Abaqus 
## Scripting Interface available to the script.
from abaqus import *
from abaqusConstants import *

## These statements provide access to the objects related to sketches and parts. sketch and part are called Python modules.
import sketch
import part
backwardCompatibility.setValues(includeDeprecated=True, reportDeprecated=False)

# Import Modules by HWG
import testUtils
testUtils.setBackwardCompatibility()

# Define Path
myFolder 	= 'T:/Projekte/2011/ProFest/Abaqus/Python/Punktewolken/in/'
myFile 		= 'Probe_1_1_30x30.asc'
myGeometryData = myFolder+myFile

# Get Geometry
myDataFile = open(myGeometryData,'r')
myDataLines = myDataFile.readlines()
myPointList = [eval(dataLine) for dataLine in myDataLines]

# Create Skretch
##myGeometrySketch = abaqusModel.ConstrainedSketch(name = 'sketchWolke', sheetSize = 0.100)

# Clean Modeltree
#del mdb.models['Punktewolke']

# Konstruktor and Create Part
mdb.Model(name='Punktewolke').Part(name='Punkte')
Punktewolke = mdb.Model(name='Punktewolke').Part(name='Punkte')

Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.000 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.018 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.036 and elem is not None])))
Punktewolke.WireSpline(points=(sorted([elem for elem in myPointList if elem[1] == 0.055 and elem is not None])))

e1 = Punktewolke.edges
Punktewolke.ShellLoft(loftsections=((e1[1], ), (e1[2], ), (e1[0], ), (e1[3], )), startCondition=NONE,endCondition=NONE)
#Punktewolke.ShellLoft(loftsections=((e1[0], ), (e1[1], ), (e1[2], ), (e1[3], )), startCondition=NONE,endCondition=NONE)

session.viewports['Viewport: 1'].setValues(displayedObject=Punktewolke)
#session.viewports['Viewport: 1'].forceRefresh()